using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgTpwdRiskReportDataMap
{

    /*
        当入参不传pid的时候返回，表示账号关联的pid
    */
    private string? pid;


    /*
        当入参传入pid的时候返回，表示pid关联的relationId
    */
    private string? rid;


    /*
        0表示预警，1表示拦截，如果名单中同一个淘客同时有拦截和预警信息，以拦截为准
    */
    private string? status;



    [JsonPropertyName("pid")]
    public string? Pid
    {
        get => pid;
        set => this.pid = value;
    }

    [JsonPropertyName("rid")]
    public string? Rid
    {
        get => rid;
        set => this.rid = value;
    }

    [JsonPropertyName("status")]
    public string? Status
    {
        get => status;
        set => this.status = value;
    }

}

